Name | Type | Default |
animationShowDuration
|
number
|
350
|
Sets or gets the duration of the show animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} animationShowDuration={3000}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDuration
|
number
|
250
|
Sets or gets the duration of the hide animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} animationHideDuration={3000}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDelay
|
number
|
500
|
Sets or gets the delay before the start of the hide animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} animationHideDelay={3000}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationShowDelay
|
number
|
200
|
Sets or gets the delay before the start of the show animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} animationShowDelay={300}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoCloseInterval
|
number
|
10000
|
Sets or gets the time interval after which all opened items will be closed. When you open a new sub menu, the interval is cleared. If you want to disable this automatic closing behavior of the jqxMenu, you need to set the autoCloseInterval property to 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoCloseInterval={300}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoSizeMainItems
|
boolean
|
true
|
Auto-Sizes the jqxMenu's main items when the menu's mode is 'horizontal'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoSizeMainItems={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoCloseOnClick
|
boolean
|
true
|
Automatically closes the opened popups after a click.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoCloseOnClick={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoOpenPopup
|
boolean
|
true
|
Opens the Context Menu when the right-mouse button is pressed. When this property is set to false, the Open and Close functions can be used to open and close the Context Menu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoOpenPopup={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoOpen
|
boolean
|
true
|
Opens the top level menu items when the user hovers them.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoOpen={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoCloseOnMouseLeave
|
boolean
|
true
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} autoCloseOnMouseLeave={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clickToOpen
|
boolean
|
false
|
Opens an item after a click by the user.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} clickToOpen={true}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables or disables the jqxMenu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} disabled={true}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Enables or disables the hover state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} enableHover={false}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
easing
|
string
|
easeInOutSine
|
Sets or gets the animation's easing to one of the JQuery's supported easings.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} easing={ 'linear'}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the jqxMenu's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} height={30}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardNavigation
|
boolean
|
false
|
Enables or disables the jqxMenu's keyboard navigation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} keyboardNavigation={true}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimizeWidth
|
number | string
|
'auto'
|
Sets or gets the jqxMenu's minimizeWidth. That width determines the minimum browser window's width when the Menu will switch from normal to minimized mode and the Menu's width is in percentages. Set it to null, if you want to disable that behavior. Note: jqxMenu automatically switches to minimized mode, when it is displayed on a touch device. By setting the property to null, you will disable that behavior, too.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} minimizeWidth={450}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
mode
|
MenuMode
|
horizontal
|
MenuMode: "horizontal" | "vertical" | "popup"
Sets or gets the menu's display mode.
Possible Values:
'horizontal'
'vertical'
'popup'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} mode={ 'vertical'}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number | string
|
20000
|
Sets or gets the popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} popupZIndex={99999}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or getsa value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} rtl={true}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showTopLevelArrows
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} showTopLevelArrows={true}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
null
|
Specifies the jqxMenu's data source. Use this property to populate the jqxMenu.
- label - item's label.
- value - item's value.
- html - item's html. The html to be displayed in the item.
- id - item's id.
- items - array of sub items.
- subMenuWidth - sets the sub menu's width.
- disabled - determines whether the item is enabled/disabled.
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400} theme={ 'material'}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxMenu's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
closed
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is closed.
Code examples
Bind to the closed event of jqxMenu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} onClosed={this.onClosed} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } private onClosed(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemclick
|
Event
|
|
This event is triggered when a menu item is clicked.
Code examples
Bind to the itemclick event of jqxMenu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} onItemclick={this.onItemclick} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } private onItemclick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
shown
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is displayed.
Code examples
Bind to the shown event of jqxMenu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public render() { return ( <JqxMenu ref={this.myMenu} onShown={this.onShown} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } private onShown(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
closeItem
|
itemID
|
|
|
close
|
None
|
|
Closes the menu (only in context menu mode).
|
disable
|
itemID, value
|
|
Disables or enables a menu item. The method has two parameters - HTML Element ID and a boolean value which determines whether to disable or enable the element.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public componentDidMount(): void { this.myMenu.current!.destroy(); } public render() { return ( <JqxMenu ref={this.myMenu} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxMenu, { IMenuProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmenu'; class App extends React.PureComponent<{}, IMenuProps> { private myMenu = React.createRef<JqxMenu>(); public componentDidMount(): void { this.myMenu.current!.focus(); } public render() { return ( <JqxMenu ref={this.myMenu} width={400}> <ul> <li>Home </li> <li>About Us </li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimize
|
None
|
|
|
open
|
left, top
|
|
Opens the menu(only in context menu mode).
|
openItem
|
itemID
|
|
|
restore
|
None
|
|
Restores the widget from the "minimized" state.
|
setItemOpenDirection
|
item, horizontaldirection, verticaldirection
|
|
Sets the item's popup open direction
|

Name | Type | Default |
animationShowDuration
|
Number
|
350
|
Sets or gets the duration of the show animation.
<template> <JqxMenu ref="myMenu" :width="400" :animationShowDuration="3000"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
animationHideDuration
|
Number
|
250
|
Sets or gets the duration of the hide animation.
<template> <JqxMenu ref="myMenu" :width="400" :animationHideDuration="3000"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
animationHideDelay
|
Number
|
500
|
Sets or gets the delay before the start of the hide animation.
<template> <JqxMenu ref="myMenu" :width="400" :animationHideDelay="3000"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
animationShowDelay
|
Number
|
200
|
Sets or gets the delay before the start of the show animation.
<template> <JqxMenu ref="myMenu" :width="400" :animationShowDelay="300"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoCloseInterval
|
Number
|
10000
|
Sets or gets the time interval after which all opened items will be closed. When you open a new sub menu, the interval is cleared. If you want to disable this automatic closing behavior of the jqxMenu, you need to set the autoCloseInterval property to 0.
<template> <JqxMenu ref="myMenu" :width="400" :autoCloseInterval="300"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoSizeMainItems
|
Boolean
|
true
|
Auto-Sizes the jqxMenu's main items when the menu's mode is 'horizontal'.
<template> <JqxMenu ref="myMenu" :width="400" :autoSizeMainItems="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoCloseOnClick
|
Boolean
|
true
|
Automatically closes the opened popups after a click.
<template> <JqxMenu ref="myMenu" :width="400" :autoCloseOnClick="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoOpenPopup
|
Boolean
|
true
|
Opens the Context Menu when the right-mouse button is pressed. When this property is set to false, the Open and Close functions can be used to open and close the Context Menu.
<template> <JqxMenu ref="myMenu" :width="400" :autoOpenPopup="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoOpen
|
Boolean
|
true
|
Opens the top level menu items when the user hovers them.
<template> <JqxMenu ref="myMenu" :width="400" :autoOpen="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
autoCloseOnMouseLeave
|
Boolean
|
true
|
<template> <JqxMenu ref="myMenu" :width="400" :autoCloseOnMouseLeave="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
clickToOpen
|
Boolean
|
false
|
Opens an item after a click by the user.
<template> <JqxMenu ref="myMenu" :width="400" :clickToOpen="true"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
disabled
|
Boolean
|
false
|
Enables or disables the jqxMenu.
<template> <JqxMenu ref="myMenu" :width="400" :disabled="true"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
enableHover
|
Boolean
|
true
|
Enables or disables the hover state.
<template> <JqxMenu ref="myMenu" :width="400" :enableHover="false"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
easing
|
String
|
easeInOutSine
|
Sets or gets the animation's easing to one of the JQuery's supported easings.
<template> <JqxMenu ref="myMenu" :width="400" :easing="'linear'"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
height
|
Number | String
|
null
|
Sets or gets the jqxMenu's height.
<template> <JqxMenu ref="myMenu" :width="400" :height="30"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
keyboardNavigation
|
Boolean
|
false
|
Enables or disables the jqxMenu's keyboard navigation.
<template> <JqxMenu ref="myMenu" :width="400" :keyboardNavigation="true"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
minimizeWidth
|
String | Number
|
'auto'
|
Sets or gets the jqxMenu's minimizeWidth. That width determines the minimum browser window's width when the Menu will switch from normal to minimized mode and the Menu's width is in percentages. Set it to null, if you want to disable that behavior. Note: jqxMenu automatically switches to minimized mode, when it is displayed on a touch device. By setting the property to null, you will disable that behavior, too.
<template> <JqxMenu ref="myMenu" :width="400" :minimizeWidth="450"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
mode
|
String
|
horizontal
|
Sets or gets the menu's display mode.
Possible Values:
'horizontal'
'vertical'
'popup'
<template> <JqxMenu ref="myMenu" :width="400" :mode="'vertical'"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popup's z-index.
<template> <JqxMenu ref="myMenu" :width="400" :popupZIndex="99999"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
rtl
|
Boolean
|
false
|
Sets or getsa value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxMenu ref="myMenu" :width="400" :rtl="true"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
showTopLevelArrows
|
Boolean
|
false
|
<template> <JqxMenu ref="myMenu" :width="400" :showTopLevelArrows="true"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
source
|
Array | Object
|
null
|
Specifies the jqxMenu's data source. Use this property to populate the jqxMenu.
- label - item's label.
- value - item's value.
- html - item's html. The html to be displayed in the item.
- id - item's id.
- items - array of sub items.
- subMenuWidth - sets the sub menu's width.
- disabled - determines whether the item is enabled/disabled.
<template> <JqxMenu ref="myMenu" :width="200" :source="source" :mode="'vertical'"/> </template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, data: function () { return { source: [ { label: "Mail", items: [ { label: "Calendar" }, { label: "Contacts" } ] }, { label: "Inbox", items: [ { label: "Admin" }, { label: "Corporate" }, { label: "Finance" }, { label: "Other" } ] }, { label: "Deleted Items" }
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxMenu ref="myMenu" :width="400" :theme="'material'"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
width
|
Number | String
|
null
|
Sets or gets the jqxMenu's width.
<template> <JqxMenu ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue';
|
|
closed
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is closed.
Code examples
Bind to the closed event of jqxMenu.
<template> <JqxMenu ref="myMenu" @closed="onClosed($event)" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, methods: { onClosed: function (event) { alert( 'do something...');
|
itemclick
|
Event
|
|
This event is triggered when a menu item is clicked.
Code examples
Bind to the itemclick event of jqxMenu.
<template> <JqxMenu ref="myMenu" @itemclick="onItemclick($event)" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, methods: { onItemclick: function (event) { alert( 'do something...');
|
shown
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is displayed.
Code examples
Bind to the shown event of jqxMenu.
<template> <JqxMenu ref="myMenu" @shown="onShown($event)" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, methods: { onShown: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
closeItem
|
itemID
|
None
|
Closes a menu item.
<template> <div> <JqxMenu ref="myMenu" :width="400" :autoCloseOnMouseLeave="false"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <JqxButton :width="100" @click="open()">Open Products </JqxButton> <JqxButton :width="100" @click="close()">Close Products </JqxButton> </div></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxMenu, JqxButton }, methods: { open: function () { this.$refs.myMenu.openItem( "products"); }, close: function () { this.$refs.myMenu.closeItem( "products");
|
close
|
None
|
None
|
Closes the menu (only in context menu mode).
<template> <div> <div @contextmenu="contextmenuMenu($event)" style="vertical-align: middle; text-align: center; background: #eee; height: 400px; width: 400px;"> <JqxMenu ref="jqxMenu" :mode="'popup'" :autoOpenPopup="false" :width="120" :height="140"> <ul> <li>Home </li> <li>About Us </li> <li> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <span style="font-size: 14px; position: relative; top: 180px; font-family: Verdana Arial;"> Context Menu will open here </span> </div> <JqxButton @click="open()">Open Menu </JqxButton> <JqxButton @click="close()">Close Menu </JqxButton> </div></template><script> import JqxMenu from "jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxMenu, JqxButton }, methods: { contextmenuMenu: function (e) { e.preventDefault(); }, open: function (event) { this.$refs.jqxMenu.open(100, 100); }, close: function (event) { this.$refs.jqxMenu.close();
|
disable
|
itemID, value
|
None
|
Disables or enables a menu item. The method has two parameters - HTML Element ID and a boolean value which determines whether to disable or enable the element.
<template> <div> <JqxMenu ref="myMenu" :width="400" :autoCloseOnMouseLeave="false"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <JqxButton :width="100" @click="open()">Disable Products </JqxButton> <JqxButton :width="100" @click="close()">Enable Products </JqxButton> </div></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxMenu, JqxButton }, methods: { open: function () { this.$refs.myMenu.disable( "products", true); }, close: function () { this.$refs.myMenu.disable( "products", false);
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxMenu ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, mounted: function () { this.$refs.myMenu.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxMenu ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li>Products <ul> <li>New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template> <script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, mounted: function () { this.$refs.myMenu.focus();
|
minimize
|
None
|
None
|
Minimizes the widget.
<template> <div> <JqxMenu ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <JqxButton :width="100" @click="minimize()">Minimize </JqxButton> <JqxButton :width="100" @click="restore()">Restore </JqxButton> </div></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxMenu, JqxButton }, methods: { minimize: function () { this.$refs.myMenu.minimize(); }, restore: function () { this.$refs.myMenu.restore();
|
open
|
left, top
|
None
|
Opens the menu(only in context menu mode).
<template> <div> <div @contextmenu="contextmenuMenu($event)" style="vertical-align: middle; text-align: center; background: #eee; height: 400px; width: 400px;"> <JqxMenu ref="jqxMenu" :mode="'popup'" :autoOpenPopup="false" :width="120" :height="140"> <ul> <li>Home </li> <li>About Us </li> <li> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <span style="font-size: 14px; position: relative; top: 180px; font-family: Verdana Arial;"> Context Menu will open here </span> </div> <JqxButton @click="open()">Open Menu </JqxButton> <JqxButton @click="close()">Close Menu </JqxButton> </div></template><script> import JqxMenu from "jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxMenu, JqxButton }, methods: { contextmenuMenu: function (e) { e.preventDefault(); }, open: function (event) { this.$refs.jqxMenu.open(100, 100); }, close: function (event) { this.$refs.jqxMenu.close();
|
openItem
|
itemID
|
None
|
Opens a menu item
<template> <div> <JqxMenu ref="myMenu" :width="400" :autoCloseOnMouseLeave="false"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <JqxButton :width="100" @click="open()">Open Products </JqxButton> <JqxButton :width="100" @click="close()">Close Products </JqxButton> </div></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxMenu, JqxButton }, methods: { open: function () { this.$refs.myMenu.openItem( "products"); }, close: function () { this.$refs.myMenu.closeItem( "products");
|
restore
|
None
|
None
|
Restores the widget from the "minimized" state.
<template> <div> <JqxMenu ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu> <JqxButton :width="100" @click="minimize()">Minimize </JqxButton> <JqxButton :width="100" @click="restore()">Restore </JqxButton> </div></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxMenu, JqxButton }, methods: { minimize: function () { this.$refs.myMenu.minimize(); }, restore: function () { this.$refs.myMenu.restore();
|
setItemOpenDirection
|
item, horizontaldirection, verticaldirection
|
None
|
Sets the item's popup open direction
<template> <JqxMenu style="margin-top: 80px;" ref="myMenu" :width="400"> <ul> <li>Home</li> <li>About Us</li> <li id="products"> Products <ul> <li> New <ul> <li>Corporate Use </li> <li>Private Use </li> </ul> </li> <li>Featured </li> </ul> </li> <li>Events </li> </ul> </JqxMenu></template><script> import JqxMenu from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxmenu.vue'; export default { components: { JqxMenu }, mounted: function () { this.$refs.myMenu.setItemOpenDirection( 'products', 'left', 'up');
|

Name | Type | Default |
animationShowDuration
|
Number
|
350
|
Sets or gets the animationShowDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [animationShowDuration]="3000"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
animationHideDuration
|
Number
|
250
|
Sets or gets the animationHideDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [animationHideDuration]="3000"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
animationHideDelay
|
Number
|
500
|
Sets or gets the animationHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [animationHideDelay]="3000"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
animationShowDelay
|
Number
|
200
|
Sets or gets the animationShowDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [animationShowDelay]="300"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoCloseInterval
|
Number
|
10000
|
Sets or gets the autoCloseInterval property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoCloseInterval]="300"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoSizeMainItems
|
Boolean
|
true
|
Sets or gets the autoSizeMainItems property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoSizeMainItems]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoCloseOnClick
|
Boolean
|
true
|
Sets or gets the autoCloseOnClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoCloseOnClick]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoOpenPopup
|
Boolean
|
true
|
Sets or gets the autoOpenPopup property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoOpenPopup]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoOpen
|
Boolean
|
true
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoOpen]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
autoCloseOnMouseLeave
|
Boolean
|
true
|
Sets or gets the autoCloseOnMouseLeave property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [autoCloseOnMouseLeave]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
clickToOpen
|
Boolean
|
false
|
Sets or gets the clickToOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [clickToOpen]="true"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [disabled]="true"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
enableHover
|
Boolean
|
true
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [enableHover]="false"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
easing
|
String
|
easeInOutSine
|
Sets or gets the easing property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [easing]="'linear'"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
keyboardNavigation
|
Boolean
|
false
|
Sets or gets the keyboardNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [keyboardNavigation]="true"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
minimizeWidth
|
String | Number
|
'auto'
|
Sets or gets the minimizeWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [minimizeWidth]="450"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
mode
|
enum:MenuMode
|
horizontal
|
enum MenuMode { horizontal, vertical, popup } Sets or gets the mode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [mode]="'vertical'"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
popupZIndex
|
String | Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [popupZIndex]="99999"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [rtl]="true"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
showTopLevelArrows
|
Boolean
|
false
|
Sets or gets the showTopLevelArrows property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [showTopLevelArrows]="true"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
source
|
Any
|
null
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [source]="source"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30" [theme]="'energyblue'"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
|
closed
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is closed.
Code examples
Bind to the closed event of jqxMenu.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu (onClosed)="Closed($event)" [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
itemclick
|
Event
|
|
This event is triggered when a menu item is clicked.
Code examples
Bind to the itemclick event of jqxMenu.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu (onItemclick)="Itemclick($event)" [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent { Itemclick(event: any): void
|
initialized
|
Event
|
|
This event is triggered after the menu is initialized.
Code examples
Bind to the initialized event of jqxMenu.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu (onInitialized)="Initialized($event)" [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent { Initialized(event: any): void
|
shown
|
Event
|
|
This event is triggered when any of the jqxMenu Sub Menus is displayed.
Code examples
Bind to the shown event of jqxMenu.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu (onShown)="Shown($event)" [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
closeItem
|
Void
|
itemID: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent; ngAfterViewInit(): void { this.myMenu.closeItem(Item1);
|
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
disable
|
Void
|
itemID: String | Number, value: Boolean
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent; ngAfterViewInit(): void { this.myMenu.disable(0,true);
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
minimize
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
open
|
Void
|
left: Number, top: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
openItem
|
Void
|
itemID: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent; ngAfterViewInit(): void { this.myMenu.openItem(Item1);
|
restore
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent;
|
setItemOpenDirection
|
Void
|
item: String | Number, horizontaldirection: String, verticaldirection: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxMenu #myMenu [width]="670" [height]="30"> <ul> <li><a href="#Home">Home</a></li> <li> Solutions <ul style="width: 250px;"> <li>Education </li> <li type="separator"></li> <li> Software Solutions <ul style="width: 220px;"> <li>Consumer Photo </li> </ul> </li> <li>All Industries And Solutions </li> </ul> </li> <li> Products <ul> <li>PC Products </li> </ul> </li> <li> Support <ul style="width: 200px;"> <li>Support Home </li> </ul> </li> <li> Communities <ul style="width: 200px;"> <li>Designers </li> <li>Developers </li> </ul> </li> </ul> </jqxMenu> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myMenu') myMenu: jqxMenuComponent; ngAfterViewInit(): void { this.myMenu.setItemOpenDirection(Item1,left,top);
|